{
    gROOT->Reset();
   
    Int_t num = 0;

    TPhEvent *event;
    TPhHit   *hit;  
    TPhTrack *track;

    TPhDST *dst = new TPhDST("/v1/data/phat/test.root");

    TPhSwim     *swim = new TPhSwim();
    TPhMagnet   *magnet = new TPhMagnet();
    TPhDetector *det = new TPhDetector();

    const Char_t *phathome = gSystem->Getenv("PHATHOME");
    printf("Found PHAT home at %s\n",phathome);

    Char_t pathname[256];
    sprintf(pathname,"%s/init/test.2d", phathome);
    det->ReadASCIIGeometry(pathname);

    swim->SetMagnet(magnet);
    swim->SetDetector(det);

    while(event = dst->GetNextEvent() && num < 100)
    {
        swim->SwimEvent(event);
        printf("Now at event %d %d\n",event->GetNRun(),event->GetNEvent());
        delete event;
        num++;
    }
}
