// Made by A.O. on 4.11.1997
// Read events from a root file and show some info about the events.
// Macro that examplifies simplicity of info listing for the PHAT data objects.
// A simple listing can be obtained using ls() function members,
// a more verbose listing one gets using Print("1") with the required number of levels 
// of data structure listing used as a parameter.
//main() 
{
    gROOT->Reset();

    TPhEvent         *event;


    // Open the data file. 
    // PHATHOME envrionment has to be defined and pointing to the main Phat directory
    Char_t FileName[200];

    sprintf(FileName, "%s/data/pmc100ev89.hijet.aou.root.gufldswum", gSystem->Getenv("PHATHOME"));

    // 
    TPhDST *dst = new TPhDST(FileName);

    // Read all events from the FileName
    //    while( event = dst->GetNextEvent()) 
    {
      // Read only one event
      event = dst->GetNextEvent();

      // Print("level") means list "level" number of levels deep, when lists are encountered.
      event->Print("2");
    }
}
