// Make the HTML docs. This includes all the Phat classes and the macros in 
// the $PHATHOME/macros directory. 
// 
// Note that in Root < V2.00/04 MakeAll() might give a Seg. Violation
//
//Begin_Html <A HREF="mailto:decowski@mit.edu">decowski@mit.edu</A>
//End_Html
{
  gROOT->Reset();

  // Set some environmentals for the general Phat distribution
  gEnv->SetValue("Root.Html.OutputDir", "$(PHATHOME)/html");
  gEnv->SetValue("Root.Html.SourceDir", "$(PHATHOME)/phatdet/src:$(PHATHOME)/phatdet/inc:$(PHATHOME)/phatdat/src:$(PHATHOME)/phatdat/inc:$(PHATHOME)/phatrecon/src:$(PHATHOME)/phatrecon/inc:$(PHATHOME)/phatsim/src:$(PHATHOME)/phatsim/inc:$(PHATHOME)/matrix++:$(PHATHOME)/db/src:$(PHATHOME)/db/inc$(PHATHOME)/phatpmc/src:$(PHATHOME)/phatpmc/inc:$(PHATHOME)/user/src:$(PHATHOME)/user/inc");
  gEnv->SetValue("Root.Html.HomePage", "http://phobos-srv.mit.edu");
  gEnv->SetValue("Root.Html.Author", "//*-- Author :");

  THtml html;
  // Make the Phat source code HTML documentation.
  html.MakeAll();

  Char_t filename[100];
  Char_t title[100];

  // Get the macros in the $PHATHOME/macros directory. We open a pipe to
  // /bin/ls, read the filenames one-by-one in and convert them into 
  // HTML. 
  FILE *pipe = gSystem->OpenPipe("/bin/ls -1 $PHATHOME/macros/*.C", "r");
  while(fscanf(pipe, "%s", filename) != EOF) {
    sprintf(title, "Macro %s in Phat", gSystem->BaseName(filename));
    html.Convert(filename, title);
  }

  gSystem->ClosePipe(pipe);
}



