// Test of  Online display for single silicon sensor. Use TPhOnSensorContainer
// to monitor  groups of sensors. The use of this class is demonstrated in 
// checkon.C
{

  Char_t FileName[200];
  sprintf(FileName, "%s/data/hijing_2cen.adat.root", 
	  gSystem->Getenv("PHATHOME"));
  TPhDST *dst = new TPhDST(FileName);
  Char_t FileName[256];
  sprintf(FileName,"%s/init/test/Detector.root", 
	  gSystem->Getenv("PHATHOME"));
  TFile f(FileName);
  TPhDetector *det = f.Get("LatestGeometry");
  f.Close();
  TPhEvent *event;

  Int_t n=0;
  // create histos for one si sensor

  TPhOnSensor *hsens = new TPhOnSensor("MOB2on");
  hsens->Init();
  Int_t i;
  while (event = dst->GetNextEvent() && n<1) {
    det->SetEvent(event);
    det->FillWithEventHitArrays("PMCHitArraysFromHits");
    n++;
    if(hsens) hsens->Fill();
  }
  TCanvas c2("tc","tc",10, 10, 700, 600);
  hsens->Draw("adc");
  return;
}







