{
// macro to show how to use TPhSiSensor::HitDisplay 
//
// example uses the geometry of PMC_V4.20 


// open detector database
Char_t FileName[256];
//sprintf(FileName,"/home/Phat/Phat/init/test/Detector.root");
sprintf(FileName,"/home/katzy/cvs/Phat/init/test/Detector.root");
TFile f(FileName);
TPhDetector *det = f.Get("PMC_V4.20");
f.Close();

// open data file
Char_t FileName[200];
// sprintf(FileName, "/home/katzy/phat/data/cv0_00000.apx.root");
sprintf(FileName, "/home/katzy/data/cv0_00000.apxhitarray.root");

TPhDST *dst = new TPhDST(FileName);

TPhEvent *event;
event = dst->GetNextEvent(1);
det->SetEvent(event);

// access hitarray to be plotted

TPhHashContainer *hitcontainer;
hitcontainer = (TPhHashContainer*) event->GetObject("MCHitArrays"); 
TPhHitArray *HitArray;
Char_t sname[256];
sprintf(sname,"PM31");
HitArray = (TPhHitArray*) hitcontainer->GetObject(sname);

// put hitarray into appropriate sensor geometry
TPhSiSensor *sensor = (TPhSiSensor) det->GetSensor(sname);
sensor->AddHitArray(HitArray);
// plot the sensor with hits given by the hitarray
sensor->HitDisplay();

}
