#ifndef _PhysConst_INCLUDED_
#define _PhysConst_INCLUDED_


const Float_t kPIMASS    = 0.139567;
const Float_t kPIMASS2   = 0.0194769936;
const Float_t kPMASS     = 0.938;
const Float_t kKMASS     = 0.493;
const Float_t kEMASS     = 0.000511;
const Float_t kTLAB      = 160.0;
const Float_t kNUCLMASS  = 0.939;
const Float_t kNUCLMASS2 = 0.881721;
const Float_t kAP        = 208.0;
const Float_t kAT        = 208.0;

const Float_t kStdBeta   = 0.995;
const Float_t kStdGamma  = 9.8;
const Float_t kPi        = 3.14159;

const Int_t   kVT1ID     = 1;        
const Int_t   kVT2ID     = 2;        
const Int_t   kMTRID     = 3;        
const Int_t   kMTLID     = 4;        

#endif
