// Vtx.C  PHOBOS Vertex finder  
// DMcL 12-SEP-98 Removed commented out lines etc. Note no Vtx.h is needed
// MDB  08-SEP-98 Modified for MDC1: moved global actions to phat.C
// Initial version by Don McLeod / Patrick Decowski
//
void Vtx(Int_t phase = 0, Int_t dflag = 0)
{
  if(ReportLevel >= 3) {
    printf("Vtx entered, phase = %d, dflag = %d\n",phase,dflag);
  }
  if(phase == kIni1 && ReportLevel >= 3) {
     printf("Vtx has no initialization other than standard\n");
  }
  if(phase == kRun1) { 
    if(det && ReportLevel >= 3) printf("Vtx.C: det used\n");
    ev->FindVertex();
    if(ev && ReportLevel >= 3) printf("Vtx.C: ev used\n");
    v1 = ev->GetObject("MainVertex");
  }
  if(phase == kDis3) {
    // This will produce a canvas with some diagnostics
    ev->DisplayVertex();
    if(v1 && ReportLevel >= 3) {
      printf("Vertex at %f %f %f\n",v1->GetX(),v1->GetY(),v1->GetZ());
    }
  }
  if(phase == kFin1 && ReportLevel >= 3) {
     printf("Nothing in Vtx after end of event loop\n");
  }
}


