void onlgui()
{
//  File onlgui.C; edited from Judith Katzy's gui.C for bringing
//  up TPhOnSensor displays by button choices.
//  Auxiliary to phatonl.C, called by Onl display.    D McLeod 09Dec1998
//    Removed general functions done by phat.C; rearranged buttons 
//    (and added several) for narrow vertical bar
//    Changed canvas name to onlc1;  layer choice etc. canvas is onlc2.
//   12/13/98         onlc1 declaration moved to Onl.h
//   02/13/98         Removed a button etc. for new reorganized TPhOn***

   onlc1 = new TCanvas("online","online",-5,30,80,790);
   onlc1->SetEditable(0);    // equivalent to TDialogCanvas; note that
   onlc1->SetFillColor(38);  // TDialogCanvas has no 6 arg constructor.
   onlc1->SetFillStyle(3014);  // same as phat.C appearance
   onlc1->Draw();

//  Text right on canvas
   TText *label = new TText(0.05,0.96,"  sub\ndetectors");
   label->SetTextSize(0.22); 
   label->SetTextColor(5);
   label->Draw();

//    First group of 11 buttons.. y = .95 to .36
   Float_t ytop = 0.95; // Canvas coord. are 0.0 - 1.0 going up
   Float_t ybot = 0.36;
   Float_t d = (ytop - ybot)/11.0; // Button spacing
   Float_t s = d/20.0; // half-space between buttons
   Float_t ylow = ytop -d +s;  // initial button bottom
   Float_t yup = ytop -s;      // initial button top
//
   TButton *but1 = new TButton("Vertex","mx(1);onlset(\"Vertex\");",
   .01, ylow, .99, yup);
   but1->SetFillColor(4);
   but1->SetTextColor(10);
   but1->SetTextSize(0.50);
   but1->Draw();
//
   TButton *but2 = new TButton("RingMult","mx(1);onlset(\"RingMult\");",
   .01, ylow -d, .99, yup -d);
   but2->SetFillColor(4);
   but2->SetTextColor(10);
   but2->SetTextSize(0.40);
   but2->Draw();
//
   TButton *but3 = new TButton("Octagon","mx(1);onlset(\"Octagon\")",
   .01, ylow - 2.0*d, .99, yup -2.0*d);
   but3->SetFillColor(4);
   but3->SetTextColor(10);
   but3->SetTextSize(0.40);
   but3->Draw();
//
   TButton *but4 = new TButton("SpectP","mx(1);onlset(\"SpectP\");",
   .01, ylow - 3.0*d, .99, yup -3.0*d);
   but4->SetFillColor(4);
   but4->SetTextColor(10);
   but4->SetTextSize(0.50);
   but4->Draw();
//
   TButton *but5 = new TButton("SpectN","mx(1);onlset(\"SpectN\");",
   .01, ylow - 4.0*d, .99, yup -4.0*d);
   but5->SetFillColor(4);
   but5->SetTextColor(10);
   but5->SetTextSize(0.50);
   but5->Draw();
//
   TButton *but6 = new TButton("TOFP","mx(1);onlset(\"TOFP\");",
   .01, ylow - 5.0*d, .99, yup -5.0*d);
   but6->SetFillColor(4);
   but6->SetTextColor(10);
   but6->SetTextSize(0.50);
   but6->Draw();
//
   TButton *but7 = new TButton("TOFN","mx(1);onlset(\"TOFN\");",
   .01, ylow - 6.0*d, .99, yup -6.0*d);
   but7->SetFillColor(4);
   but7->SetTextColor(10);
   but7->SetTextSize(0.50);
   but7->Draw();
//
   TButton *but8 = new TButton("Trigger","mx(1);onlset(\"Trigger\");",
   .01, ylow - 7.0*d, .99, yup -7.0*d);
   but8->SetFillColor(4);
   but8->SetTextColor(10);
   but8->SetTextSize(0.50);
   but8->Draw();
//
   TButton *but9 = new TButton("ZDC","mx(1);",
   .01, ylow - 8.0*d, .99, yup -8.0*d);
   but9->SetFillColor(4);
   but9->SetTextColor(10);
   but9->SetTextSize(0.50);
   but9->Draw();
//
   TButton *but10 = new TButton("PIN","mx(1);",
   .01, ylow - 9.0*d, .99, yup -9.0*d);
   but10->SetFillColor(4);
   but10->SetTextColor(10);
   but10->SetTextSize(0.50);
   but10->Draw();
//
   TButton *but11 = new TButton("SLOW","mx(1);",
   .01, ylow - 10.0*d, .99, yup -10.0*d);
   but11->SetFillColor(4);
   but11->SetTextColor(10);
   but11->SetTextSize(0.50);
   but11->Draw();
//
// Add buttons to select the type of display etc.
   TText *label = new TText(0.15,0.33,"PLOT:");
   label->SetTextSize(0.30);
   label->SetTextColor(5);
   label->Draw();

   ytop = 0.30; 
   ybot = 0.12;
   d = (ytop - ybot)/3.0; // Button spacing
   s = d/5.0; // half-space between buttons
   ylow = ytop -d +s;  // initial button bottom
   yup = ytop -s;      // initial button top
//
   TButton *but9 = new TButton("Sensor\n Plots",
   "mxx(1);bbflag=2;onlset(\"clear\");",
   .01, ytop - d +s, .99, ytop -s);
   but9->SetFillColor(7);
   but9->SetTextColor(1);
   but9->SetTextSize(0.50);
   but9->Draw();
//
   TButton *but10 = new TButton("Sensor\n Info",
   "mxx(1);bbflag = 3;onlset(\"clear\");",
   .01, ytop - 2.0*d +s, .99, ytop -d -s);
   but10->SetFillColor(7);
   but10->SetTextColor(1);
   but10->SetTextSize(0.50);
   but10->Draw();
//
   TButton *but12 = new TButton("3-d\n Disp",
   "mxx(1);bbflag = 4;onlset(\"clear\");ugui(\"3-d\",2);",
   .01, ytop - 3.0*d +s, .99, ytop -2.0*d -s);
   but12->SetFillColor(7);
   but12->SetTextColor(1);
   but12->SetTextSize(0.50);
   but12->Draw();
//
  //  "EXIT" button at bottom
   //  Temporarily set actions in phatset, not sure this is best place.
   //     Special flag value for flOnl is to avoid need for suicide.
   TButton *but11 = new TButton("EXIT","phatset(\"EXIT\",2);flOnl = 2;",
       .02,.02,.98,.12);
   but11->SetFillColor(2);
   but11->SetTextColor(10);
   but11->SetTextSize(0.50);
   but11->Draw();
}








