      SUBROUTINE ADDPMCROT(N, ROTM, ROTA)
*Documentation_Block
************************************************************************
*
*  Description:
*  Interface to PHAT memory (dummy version to be linked with standalone PMC)
*
*  Arguments:
*  N     - rotation matrix number
*  ROTM  - 3x3 rotation matrix parameters
*  ROTA  - angular parametrs of rotation matrix (6 angles)
*
*  Called by:
*  PH_GEOM
*
*  Calls:
*
*  Implicit inputs, outputs, side effects:
*  none
*
*  History:
*  Date       Name       Description
*  ----       ----       -----------
*   27-Apr-98  K.W.    Creation
************************************************************************
*End_Documentation_Block

      IMPLICIT NONE

      INTEGER  N
      REAL  ROTM(9), ROTA(6)

C
C     Executable Statements
C     =====================
C

      WRITE(99, '('' G ROTM '', I4, 9F10.6)' ) N, ROTM
      WRITE(99, '('' G ROTA '', I4, 9F12.6)' ) N, ROTA

      RETURN
      END
