      REAL FUNCTION STTORL (STRING)

***********************************************************************
*                                                                     *
*      INTEGER FUNCTION STTORL (STRING)                               *
*                                                                     *
*  Created:  21-MAY-1988   Harry Melanson                             *
*                                                                     *
*  THIS ROUTINE CONVERTS A STRING INTO A REAL.  IT ASSUMES THE        *
*  STRING ONLY HAS ONE FIELD OF NUMBERS.  IT IGNORES ANY SPACES.      *
*                                                                     *
*  Inputs:                                                            *
*    STRING = (CHARACTER)  THE STRING                                 *
*  Outputs:                                                           *
*    STTOIN = THE REAL NUMBER                                         *
*                                                                     *
***********************************************************************

C     Description: above
C     =============
C  Routine stolen from E665 SHELL to handle input cards better than FFREAD
C
C     Arguments:
C     ===========
C     STRING
C
C     Implicit inputs, outputs, side effects:-
C     ========================================
C     none
C
C     Author:  above
C     =======
C
C     Creation Date: above
C     ===========================
C
C     Revisions:
C     ==========
C     Date       Name       Description
C     ---------  -------    --------------------------------------------
C
C     23 Oct 92  R. V.      Separated from GE_...
C      1 Jun 92  C. Parsons Moved from GPH into GE_ALL_THE_REST

      IMPLICIT NONE

      INTEGER  STLEN,STSTR,STEND
      EXTERNAL STLEN,STSTR,STEND

      CHARACTER*(*) STRING
      CHARACTER FORM*20

*************************************************************
*     CONVERT THE STRING TO A REAL, IGNORING SPACES         *
*************************************************************

      WRITE (FORM,'(''(E'',I10.10,''.0)'')') STLEN(STRING)
      READ (STRING(STSTR(STRING):STEND(STRING)),FORM) STTORL

      RETURN
      END
