#include "TPhUserClass.h"

#include "TRandom.h"

//**********************************************************************
// USERS NOTE: This file is meant as a template. I have given a very 
// simple example of a histogram that gets filled and can be displayed. 
// You should delete this example code and add your own code where there
// is TODO.
//**********************************************************************

// Another macro that needs to be added in the implementation file. This 
// macro is defined in $ROOTSYS/include/Rtypes.h (It will be included 
// automatically when you include any of the Root classes such as TObject.h).
ClassImp(TPhUserClass)

  ///////////////////////////////////////////////////////////////////////////
  // 
  // The comments in here will be put in the Class Description of the HTML
  // files. It is therefore good practice to describe the class in here. 
  // e.g.:
  //
  // TPhUserClass is a template, how to write user code and include it into
  // Phat.
  //  
  // TODO: Insert your class description here
  //
  ///////////////////////////////////////////////////////////////////////////

TPhUserClass::TPhUserClass()
{
  // This is the default constructor. You need to include it, it will be 
  // called when reading in an object from a Root file (see 
  /* Begin_Html <A HREF="http://root.cern.ch/root/InputOutput.html">
     Root Object I/O System</A> End_Html */
  // ). 
  // The key point is to not allocate any memory (via new) in this 
  // constructor, the streamer will allocate some memory when reading 
  // in the objects and the memory allocated here will be lost. 
  // However, it is OK to allocate memory in any other constructor.


  // TODO: Insert your default constructor
}

TPhUserClass::TPhUserClass(Char_t *Name)
{
  // Another constructor. This one is safe for any memory allocation, 
  // because it will not be called by Root when reading in the object 
  // from file into memory.

  // TODO: delete the following 3 lines and write your own constructor
  // if needed

  SetName(Name);
  SetTitle("Example of how to make a class");

  fHist = new TH1F("MyHist", "Simple Example datamember", 100, -0.5, 99.5);
}

TPhUserClass::~TPhUserClass()
{
  // Default destructor. Do the cleanup here. 

  // TODO: delete the following line and add your own cleanup
  delete fHist;
}

// TODO: delete the following member functions and add your own!
void TPhUserClass::FillHistogram()
{
  // Fill the histogram
  // 
  // TODO: This is example code only. Delete this whole member function
   
  Int_t i;
  Float_t x;

  // Fill the histogram with some random numbers
  for(i = 0; i < 10000; i++) {
    x = gRandom->Gaus(50, 30);
    fHist->Fill(x, 1);
  }
}

void TPhUserClass::Draw()
{
  // Draw the histogram. Can also be done inline in the header file.
  // 
  // TODO: This is example code only. Delete this whole member function

  fHist->Draw();
}
