// This version of template testing does not work at the moment!
{
    gROOT->Reset();

    Float_t x;
    Float_t z;
    Float_t dist;
    Int_t num = 0;
    Int_t i;
   
    Float_t chi2;
    Float_t ndof;
    Float_t p;
    
    Float_t kMomX = 0.08;
    Float_t kMomZ = 0.08;

    TPhHit *hit;
    TPhStuff *stuff = new TPhStuff();

    TPhIdealMagnet *magnet = new TPhIdealMagnet();
    TPhDetector *det  = new TPhDetector();

    const Char_t *phathome = gSystem->Getenv("PHATHOME");
    printf("Found PHAT home at %s\n",phathome);

    Char_t pathname[256];
    sprintf(pathname,"%s/init/test.2d", phathome);
    det->ReadASCIIGeometry(pathname);

    TPhSwim   *swim = new TPhSwim();
    swim->SetMagnet(magnet);
    swim->SetDetector(det);
    swim->SetMS(kFALSE);
    swim->SetPixelize(kFALSE);

    TrueTrack = new TPhTrack();
    TrueTrack->SetPx(kMomX);
    TrueTrack->SetPz(kMomZ);
    TrueTrack->SetPy(0);
    TrueTrack->SetMass(0.139);
    TrueTrack->SetCharge(1);
    swim->SwimTrack(TrueTrack);
     
    TPhTrackTemplate *t = new TPhTrackTemplate(16);
    t->FillTrack(TrueTrack,kFALSE);

/*
    det->Draw();
    TrueTrack->Draw(2);
*/

    TObjArray *LayerList = det->GetLayerList();
    TPhLayer *layer;
    TPhSensor *sensor;
    TIter NextLayer(LayerList);
    TObjArray *SensorList;

    while(layer = (TPhLayer *) NextLayer()) {
      SensorList = (TObjArray *) layer->GetSensorList();
      TIter NextSensor(SensorList);
      while(sensor = (TPhSensor *) NextSensor())
        {
          sensor->SetEfficiency(0.95);
        }
    }

    swim->SetMS(kTRUE);
    swim->SetPixelize(kTRUE);
    swim->SetVerbose(0);      

    Float_t vec[13];
    Int_t cnt;

    kMomX = 0.08;
    kMomZ = 0.08;
    Float_t dp = 0;

    TCanvas c("c");

    c.SetFillColor(0);
    c.SetBorderMode(0);
    c.SetBorderSize(0);

    TH1F prob("prob","prob",100,0,1);
    TPhStuff *stuff = new TPhStuff();

    sprintf(pathname,"%s/init/covar.out", phathome);
    t->ReadCovar(pathname);

    TFile f("ntuple.root","RECREATE");
    TNtuple *nt = new TNtuple("nt","Ntuple","nhits:ndof:chi2:prob:dp");
    for(i=0;i<2500;i++)
    {
        track = new TPhTrack();
        dp = 0.01 - TRandom::Rndm() * 0.02;
        track->SetPx(kMomX+dp/2);
        track->SetPz(kMomZ-dp/2);
        track->SetPy(0);
        track->SetMass(0.139);
        track->SetCharge(1);
        swim->SwimTrack(track);
        t->CalcChi2(track,1);
        p = stuff->GetProb(track->GetChi2(),track->GetNDof());
        nt->Fill(track->GetNHits(),track->GetNDof(),track->GetChi2(),p,dp);
        prob.Fill(p);
        if(!(i%10))
        {
            prob.Draw("e1p");
            c.Update();
        }
    }
   
}

