// script to test the writing out of FEC Raw Hit data. should be used
// in conjunction with readtestfec.C
{
  gROOT->Reset();

  FECRawHit_t hit;
  TPhRawHitFECn0 FEC(10);

  Int_t string, ch;
  UInt_t ADC;

  Int_t stringlength[8] = { 2, 2, 3, 4, 5, 6, 7, 8 };
  for(string = 0; string < 8; string++) {
    for(ch = 0; ch < stringlength[string]; ch++) {
      hit.Channel = ch;
      hit.ADC = 100 + ch;
      FEC.Add(string, &hit);
    }
  }

  Int_t i;
  for(i = 0; i < 30; i++)
    FEC.SetMonitorVal(i, i);

  for(i = 0; i < 8; i++)
    printf("%d \n", FEC.GetRawHitArraySize(i));

  FEC.SetMode(3);

  TFile f("fec.root", "recreate");
  FEC.Write();
  f.Close();
}
