#ifndef __TPhRawHitFECn0TB98__
#define __TPhRawHitFECn0TB98__


///////////////////////////////////////////////////////////////////////
// 
// Class implementing the data from a NON-zerosuppressed FEC
// data.
// Test Beam 98 version to allow non standard operations 
//
// $Id: TPhRawHitFECn0TB98.h,v 1.1 1998/10/19 22:24:29 olszewsk Exp $
//
///////////////////////////////////////////////////////////////////////


// Phobos classes
#include "TPhRawHitFECn0.h"

class TPhRawHitFECn0TB98 : public TPhRawHitFECn0 {

public:

  TPhRawHitFECn0TB98();
  TPhRawHitFECn0TB98(UChar_t *packedrawhits, Int_t totalwords);
  virtual ~TPhRawHitFECn0TB98();

// Functions used for Test Beam 98 to change wrong FEC and string number assignement
// Carefull not to overwrite pointers with ChangeStringNo 
      UShort_t          GetEventNumber();
        Bool_t          RemoveString(UChar_t iString);
        Bool_t          MoveString(UChar_t iString, UChar_t oString);
          void          SetFECNo(UChar_t fECNo);

public:

  ClassDef(TPhRawHitFECn0TB98,1)	// NON zero-suppressed FEC data storage
};


#endif // __TPhRawHitFECn0TB98__
