#ifndef _PhIdealMagnet_INCLUDED_
#define _PhIdealMagnet_INCLUDED_



#include "TPhMagnet.h"

class TPhIdealMagnet : public TPhMagnet {

public:

    TPhIdealMagnet();

    virtual ~TPhIdealMagnet();

    virtual Bool_t        ReadFieldMap(Char_t *FileName, Int_t *type=0, 
                                                         Float_t *version=0);
    virtual Bool_t        GetField(Float_t *x, Float_t *field);
    virtual Float_t       GetFieldRadius()    { return sqrt(fFieldRadius2);   }

    virtual void          SetFieldRadius(Float_t x) { fFieldRadius2 = x*x; }

private:

    Float_t fFieldRadius2;         // Radius^2 of field cylinder for toy field

public:

    ClassDef(TPhIdealMagnet,1)     // PHOBOS magnetic field interface

};

#endif

