#include <iostream.h>
#include "TPhChip.h"

ClassImp(TPhChip)

/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// Description of chip (bonding pattern) structure.                        //
//                                                                         //
// $Id: TPhChip.cxx,v 1.1 1999/02/24 22:48:06 olszewsk Exp $
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

TPhChip::TPhChip()
{
  // Default constructor

  fFECNo = 0;
  fStringNo = 0; 
  fChipNo = 0; 
  fChipSize = 0; 
}  

TPhChip::TPhChip(UShort_t fecno, UShort_t stringno, UShort_t chipno, UShort_t chipsize)
{
  // Normal constructor
  fFECNo = fecno;
  fStringNo = stringno; 
  fChipNo = chipno; 
  fChipSize = chipsize; 
}  

TPhChip::~TPhChip()
{
  // Default destructor
}  
  
void  TPhChip::ls(Option_t *option) 
{
  // List chip properties

  TObject::IncreaseDirLevel();
  IndentLevel();
  cout << "Class:" << IsA()->GetName() << " is a chip no " << fChipNo 
       << " size " << fChipSize << " in string no " << fStringNo 
       << " from FEC no " << fFECNo << endl;
  TObject::DecreaseDirLevel();
}

void  TPhChip::Print(Option_t *option) 
{
  //

}
