#include "TPhTOFSensor.h"

ClassImp(TPhTOFSensor)
////////////////////////////////////////////////////////////////////////////
//
// This class implements the TOF detectors. Currently it does not do a 
// whole lot other than inheriting from TPhBoxSensor and changing the 
// color of the Drawing to blue. 
//
//
// $Id: TPhTOFSensor.cxx,v 1.5 1999/01/13 18:12:35 decowski Exp $
//
///////////////////////////////////////////////////////////////////////////

TPhTOFSensor::TPhTOFSensor() 
{
  // Default TOF Sensor constructor
  SetTitle("TOF Sensor");
}

void TPhTOFSensor::Draw(Option_t *option)
{
// Draw the TOF detector in blue
  TPhSensor::Draw(option);
  SetLineColor(kBlue);
}

Int_t TPhTOFSensor::MakeHitArraysOutOfHits(Char_t *HitConName,
				  Char_t *HitArrayConName)
{
  // (MC)Hits to HitArray translation. 
  // The lingo should probably change, since it is Si specific. 
  // 
  // UNIMPLEMENTED.
 
  return 0;
}
