      subroutine spdel(cbuf, lng)

***************************************************************************
*  substitue all multiple spaces by a single space in cbuf
*  and calculates the length of the text
*   *cbuf*   -  text containing exactly 150 characters
*   lng*     -  length of the text (spaces at the end ignored)
*
* History
*  7-Jul-98    K.W.    Increased length of text buffer to 150
* 27-Nov-97    K.W.    Creation
***************************************************************************

      implicit none
      character*150 cbuf
      integer lng, i1, i2, nsp

      lng = 0
      i2 = 1
      nsp = 0
      do   i1 = 1, 150
         if(cbuf(i1:i1) .ne. ' ')  then   ! copy non-blank characters
            cbuf(i2:i2) = cbuf(i1:i1)
            i2 = i2 + 1
            lng = lng + 1
            nsp = 0
         else
            if(nsp .eq. 0)   then  !  copy the first space only
               cbuf(i2:i2) = cbuf(i1:i1)
               i2 = i2 + 1
               lng = lng + 1
            endif
            nsp = nsp + 1
         endif
      enddo
      return
      end
