      INTEGER FUNCTION STEND (STRING)
***********************************************************************
*                                                                     *
*      INTEGER FUNCTION STEND (STRING)                                *
*                                                                     *
*  Created:  29-FEB-1988   John James Ryan                            *
*                                                                     *
*      This routine determines the 'Non-Blank' End of a Character     *
*      String.                                                        *
*      In case of all blanks, STEND=1 upon return. For an empty       *
*      string (zero length), STEND=0 upon return.                     *
*                                                                     *
***********************************************************************
C     Description: above
C     =============
C  Routine stolen from E665 SHELL to handle input cards better than FFREAD
C
C     Arguments:
C     ===========
C     STRING
C
C     Implicit inputs, outputs, side effects:-
C     ========================================
C     none
C
C     Author:  above
C     =======
C
C     Creation Date: above
C     ===========================
C
C     Revisions:
C     ==========
C     Date       Name       Description
C     ---------  -------    --------------------------------------------
C
C     23 Oct 92  R. V.      Separated from GE_...
C      1 Jun 92  C. Parsons Moved from GPH into GE_ALL_THE_REST

      IMPLICIT NONE

      CHARACTER*(*) STRING
      INTEGER INDEX

***********************************************************************

      STEND = LEN (STRING)
      IF (STEND .EQ. 0) RETURN
C
      DO 100 INDEX = STEND, 1, -1
         IF (STRING (INDEX : INDEX) .NE. ' ') THEN
            STEND = INDEX
            GOTO 200
         ENDIF
  100 CONTINUE
      STEND = 1
C
  200 RETURN
C
      END
